blockquote,body,dd,dl,figcaption,figure,h1,h2,h3,h4,li,ol[class],p,ul[class]{margin:0}:focus{outline:0}body{min-height:100vh;scroll-behavior:smooth;text-rendering:optimizeSpeed;line-height:1.3}ol[class],ul[class]{list-style:none}a:not([class]){text-decoration-skip-ink:auto}img{max-width:100%;max-height:100vh;display:block;height:auto}button,input,select,textarea{padding:5px}iframe{max-width:100%;aspect-ratio:16/9}a{text-decoration:none}*{box-sizing:border-box}ul{padding:0}html,html a{-webkit-font-smoothing:antialiased}

:root {
    --bg: #e8e9f5;
    --white: #fbfbff;
    --black: #0b0b0c;
    --grey: #4c4b4b;
    --hover: #f53f07;
    --grey_white: #ececec;
    --grey_middle: #acacac;
    --blue_white: #d8f2ff;
    --blue_text: #2c77a9;
    --border_color: #c3c7c9;
    --border_light: #dbe2e6;

    --site_width: 1080px;
}

body {
    font-family: "Raleway", Arial, Helvetica, sans-serif;
    background: var(--bg);
    font-size: 16px;
    font-weight: 500;
}

a:hover {
    color: var(--hover);
    text-decoration: underline;
}

.no-select {
    user-select: none !important;
}

.ad-global-box {
    width: 100%;
    background: var(--white);
    max-width: var(--site_width);
    min-height: 100vh;
    padding:40px;
}

main > .ad-main-box {
    display: flex;
}

main > .ad-main-box > .ad-main-menu {
    width: 240px;
    min-width: 240px;
    padding-right: 40px;
}

.ad-main-section {
    width: calc(100% - 240px);
}

.ad-main-content {
    width: 100%;
    position: relative;
}

.main-menu-list {
    padding: 0;
    font-size: 16px;
    font-weight: 600;
    position: relative;
}

.main-menu-list .item a label {
    margin-right: 5px;
}

.main-menu-list,
.main-menu-list a {
    color: var(--black);
}

.main-menu-list a:hover {
    text-decoration: none;
    color: var(--hover);
}

.main-menu-list > div.item:not(:last-child) {
    margin-bottom: 8px;
    padding-bottom: 8px;
    border-bottom: 1px solid var(--border_color);
}

.ad-default-box h1 {
    font-size: 21px;
    margin-bottom: 20px;
}

.ad-default-box > div.tools {
    position: absolute;
    top: 0;
    right: 0;
}

.tools .btn a {
    color: var(--black);
    display: block;
    padding: 5px 10px;
    border-radius: 10px;
    font-weight: 600;
    background: var(--grey_white);
    font-size: 14px;
}

.tools .btn a:hover {
    text-decoration: none;
    background: var(--blue_white);
    color: var(--blue_text);
}

header {
    display: flex;
    margin-bottom: 40px;
}

header .header-logo a {
    color: var(--black);
    font-size: 34px;
    font-weight: 800;
}

header .header-logo a span {
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    margin-top: 5px;
    display: block;
    color: var(--black);
}

header .header-logo a:hover {
    text-decoration: none;
}

.ad-main-logo {
    max-width: 180px;
}

.ad-speedbar {
    display: flex;
    padding: 15px;
    background: var(--bg);
    border-radius: 10px;
    margin-bottom: 40px;
    font-size: 14px;
    font-weight: 600;
}

.ad-speedbar a {
    color: var(--black);
}

.ad-speedbar > div,
.ad-speedbar > span {
    color: var(--grey);
}

.ad-speedbar > span {
    display: inline-block;
    margin: 0px 5px;
}

.ad-default-form-box {
    position: relative;
}

.ad-default-form-box > .item:not(:last-child) {
    margin-bottom: 20px;
}

.ad-default-form-box > .item {
    display: flex;
}

.ad-default-form-box > .item .info {
    width: 200px;
    min-width: 200px;
    padding-right: 20px;
}

.ad-default-form-box > .item .input {
    width: calc(100% - 200px);
}


.ad-default-form-box > .item .title {
    font-weight: 600;
    margin-bottom: 3px;
}

.ad-default-form-box > .item .desc {
    font-size: 12px;
    color: var(--grey);
}

.ad-default-form-box .title .important {
    margin-left: 4px;
    color: var(--hover);
    font-weight: 700;
    font-size: 18px;
}

.ad-filters input[type=text],
.ad-filters input[type=number],
.ad-filters input[type=email],
.ad-filters input[type=date],
.ad-default-form-box input[type=text],
.ad-default-form-box input[type=number],
.ad-default-form-box input[type=email],
.ad-default-form-box input[type=date],
.ad-default-form-box div.input-box {
    border: 0;
    background: var(--bg);
    padding: 10px;
    border-radius: 5px;
    width: 100%;
    font-family: "Raleway", Arial, Helvetica, sans-serif;
    font-weight: 600;
}

.ad-default-form-box div.input-box {
    font-size: 12px;
    font-weight: 600;
    display: block;
    padding: 5px 10px;
    height: 35px;
    line-height: 25px;
}

.ad-default-form-box div.input-box > div {
    margin-right: 5px;
    padding: 2px 4px;
    background: var(--white);
    font-weight: 600;
    border-radius: 3px;
    display: inline-block;
    border: 1px solid var(--hover);
    cursor: pointer;
    display: inline-flex;
    box-sizing: border-box;
    height: 24px;
    align-items: center;
}

.ad-default-form-box div.input-box > div i {
    font-size: 14px;
    line-height: 16px;
    height: 14px;
    margin-left: 5px;
}

.ad-default-form-box div.input-box > div i:hover {
    color: var(--hover);
}

.ad-filters select,
.ad-default-form-box select {
    border: 0;
    background: var(--bg);
    padding: 5px;
    border-radius: 5px;
    width: 100%;
    line-height: 35px;
    height: 35px;
    color: var(--grey);
    font-family: "Raleway", Arial, Helvetica, sans-serif;
    font-weight: 600;
}

.ad-filters select option,
.ad-default-form-box select .option {
    font-weight: 600;
}

.ad-filters select {
    padding: 10px;
    line-height: 40px;
    height: 38px;
    color: var(--black);
}

.ad-default-form-box *.disabled {
    opacity: 0.5;
    pointer-events: none;
}

.ad-default-form-box input[type=submit],
.ad-filters-footer input[type=submit] {
    border: 0;
    cursor: pointer;
    background: var(--grey);
    color: var(--white);
    font-weight: 600;
    font-family: "Raleway", Arial, Helvetica, sans-serif;
    font-weight: 600;
    padding: 10px;
    border-radius: 10px;
}

.ad-default-form-box input[type=submit]:hover,
.ad-filters-footer input[type=submit]:hover {
    background: var(--hover);
}

.ad-default-form-box textarea {
    border: 0;
    background: var(--bg);
    padding: 10px;
    border-radius: 5px;
    width: 100%;
    font-family: "Raleway", Arial, Helvetica, sans-serif;
    font-weight: 600;
    min-height: 100px;
}

.ad-default-form-box .item.hide {
    overflow: hidden;
    height: 0;
    opacity: 0;
}

.ad-default-form-box input[type=checkbox] {
    display:none;  
}
  
.checkbox-content {
    width: 200px;
    position: relative;
    clear: both;
    margin: 0px 0px 25px;
    float: left;
}

.checkbox-content .wrap {
    width: 200px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    padding: 30px 30px 5px;
}

.checkbox-content label {
    width: 55px;
    height: 32px;
    box-sizing: border-box;
    float: left;
    border-radius: 100px;
    position: relative;
    cursor: pointer;
    transition: .3s ease;
    background: var(--grey_middle);
}

.checkbox-content input[type=checkbox]:checked + label{
    background:var(--hover);
}

.checkbox-content input[type=checkbox]:checked + label:before{
    left: 26px;
}

.checkbox-content label:before{
    transition: .3s ease;
    content: '';
    width: 24px;
    height: 24px;
    position: absolute;
    background: white;
    left: 5px;
    top: 4px;
    box-sizing: border-box;
    border-radius: 100px;
}

.ad-default-form-box .error-message {
    font-size: 12px;
    margin-top: 3px;
    font-weight: 600;
}

.route-map-box {
    margin-top: 5px;
    font-size: 14px;
    display: flex;
}

.route-map-box > div {
    margin-right: 5px;
    margin-bottom: 5px;
}

.route-map-box > div > span {
    display: block;
    padding: 5px 10px;
    border-radius: 5px;
    background: var(--grey_white);
    cursor: pointer;
    user-select: none;
}

.route-map-box > div > span:hover {
    background: var(--blue_white);
    color: var(--blue_text);
}

.route-map-area {
    height: 0;
    opacity: 0;
    overflow: hidden;
    transition: 0.2s;
}

.route-map-area.show {
    height: auto;
    opacity: 1;
    transition: 0.2s;
}

.ad-default-form-box .route-map-box .item.hide {
    display: none;
}

.msg-box {
    padding: 20px;
    margin-bottom: 20px;
    font-size: 14px;
    border-radius: 10px;
    background: var(--grey_white);
}

.msg-box.success {
    background: var(--blue_white);
    color: var(--blue_text);
}

.default-table {
    width: 100%;
    border-collapse: collapse;
    font-size: 14px;
}

.default-table tr.header {
    background: linear-gradient(0deg, var(--grey_white), var(--white));
}

.default-table tr td,
.default-table tr th {
    border: 1px solid var(--border_light);
    padding: 5px 10px;
    text-align: left;
    min-width: 30px;
}

.default-table tr td.center,
.default-table tr th.center {
    text-align: center;
}

.default-table i.bi {
    font-size: 18px;
}

.default-table i.bi.green {
    color: #0f9e1b;
}

.default-table .edit-tools {
    width: 100px;
}

.default-table td a {
    color: var(--black);
}

.default-table label.sub-text {
    font-size: 10px;
    background: var(--bg);
    padding: 1px 2.5px;
    border-radius: 3px;
    display: inline-block;
}

.font-family-inter {
    font-family: 'Inter', Arial, Helvetica, sans-serif;
}

.ad-iframe {
    margin-top: 20px;
}

/* Авторизация */

.ad-auth-box {
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.ad-default-box {
    padding: 10px;
    background: var(--white);
    border-radius: 20px;
}

.ad-auth-box .ad-default-box {
    padding: 20px;
}

.ad-login-box input[type=submit] {
    border: 0;
    cursor: pointer;
    background: var(--grey);
    color: var(--white);
    font-weight: 600;
    font-family: "Raleway", Arial, Helvetica, sans-serif;
    font-weight: 600;
    padding: 10px;
    border-radius: 10px;
}

.ad-login-box input[type=submit]:hover {
    background: var(--hover);
}

.ad-login-box > *:not(:last-child) {
    margin-bottom: 5px;
}

/* Фильтры */

.ad-filters {
    border: 1px solid var(--border_light);
    border-radius: 10px;
    background: var(--white);
    padding: 10px;
}

.ad-filters-row {
    display: flex;
}

.ad-filters-row > *:not(:last-child) {
    margin-right: 10px;
}

.ad-filters > .ad-filters-row:not(:last-child) {
    margin-bottom: 10px;
}

.ad-filters-footer {
    margin-top: 10px;
    display: flex;
    align-items: center;
}

.ad-filters-item .item .title {
    color: var(--grey);
    font-size: 14px;
}

.ad-filters-item .item .box {
    margin-top: 5px;
}

.multi-select {
    position: relative;
    border-radius: 6px;
    min-height: 38px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.multi-select .selected-item {
    background: var(--grey_white);
    border-radius: 4px;
    padding: 2px 6px 2px 4px;
    display: inline-flex;
    align-items: center;
    font-size: 13px;
    margin-right: 2px;
    margin-top: 5px;
}

.multi-select .selected-item .remove {
    cursor: pointer;
    margin-left: 4px;
    font-size: 15px;
    color: #d00;
    display: inline-flex;
    align-items: center;
}

.multi-select input {
    border: none;
    outline: none;
    font-size: 13px;
    flex: 1;
    min-width: 100px;
    height: 38px;
    background: transparent;
    padding: 4px;
}

.item-ad .multi-select input {
    min-width: 240px;
}

.multi-select .dropdown {
    position: absolute;
    top: 42px;
    left: 0;
    right: 0;
    border: 1px solid var(--border_light);
    border-radius: 6px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.04);
    z-index: 10;
    max-height: 220px;
    overflow-y: auto;
    background: var(--white);
    min-width: calc(100% + 80px);
}

.multi-select .dropdown .option {
    padding: 7px 12px;
    cursor: pointer;
    font-size: 13px;
    display: flex;
    flex-direction: column;
    word-break: break-all;
}

.multi-select .dropdown .option:hover {
    background: #f6f6f6;
}

.multi-select .dropdown .desc {
    font-size: 11px;
    color: #888;
    margin-top: 2px;
}

.ad-filters-footer .ad-filters-reset {
    margin-left: auto;
}

.ad-filters-footer .ad-filters-reset a {
    border: 0;
    cursor: pointer;
    background: var(--grey_white);
    color: var(--grey);
    font-weight: 600;
    font-family: "Raleway", Arial, Helvetica, sans-serif;
    font-weight: 600;
    padding: 10px;
    border-radius: 10px;
    font-size: 13.5px;
}

.ad-filters-footer .ad-filters-reset a:hover {
    text-decoration: none;
    color: var(--white);
    background: var(--hover);
}

.default-table-footer {
    background: var(--grey_white);
    font-weight: 700;
}

.ad-login-box {
    width: 300px;
    max-width: 100%;
}

.ad-login-box input[type=text],
.ad-login-box input[type=password] {
    border: 0;
    background: var(--bg);
    padding: 10px;
    border-radius: 5px;
    width: 100%;
    font-family: "Raleway", Arial, Helvetica, sans-serif;
    font-weight: 600;
}

.submit-box {
    margin-top: 10px;
}

#adzoneCloudElements, #adzoneVideoBg {
    position: fixed;
    inset: 0;
    width: 100vw;
    height: 100dvh;
    z-index: -10;
    overflow: hidden;
}

#adzoneVideoBg video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#adzoneVideoBg::after {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.95);
    pointer-events: none;
}

.ad-default-container {
    max-width: 300px;
}

.ad-logo-auth {
    max-width: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

.msg-warning {
    padding-left: 20px;
    color: var(--grey);
    position: relative;
    font-size: 14px;
}

.msg-warning::before {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 6px;
    background: var(--hover);
    border-radius: 7px;
    height: 100%;
}

.msg-warning a {
    color: var(--hover);
}

#showPartnerBalance {
    margin-left: auto;
}

.adzone-partner-balance {
    display: flex;
    font-family: 'Inter', Arial, Helvetica, sans-serif;
}

.adzone-partner-balance > div {
    padding: 10px 20px;
    background: var(--border_light);
    border-radius: 10px;
}

.adzone-partner-balance > div:not(:last-child) {
    margin-right: 20px;
}

.adzone-partner-balance .item {
    cursor: pointer;
    min-width: 160px;
}

.adzone-partner-balance .item:hover {
    background: var(--bg);
}

.adzone-partner-balance .item .desc {
    font-size: 12px;
    color: var(--grey);
}